> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixroute.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GPT-4o Mini Transcribe

> GPT-4o Mini Transcribe：音声からテキストへの変換モデル。MixRoute向けのリクエスト例とパラメータ。

GPT-4o Mini Transcribeは、OpenAIの音声からテキストへの変換モデルです。

以下のエンドポイントを使用し、MixRouteを通じて`gpt-4o-mini-transcribe`を呼び出します。

## 主な機能

* 音声からテキストへ - アップロードした音声ファイルを文字起こしします
* マルチパートアップロード - 元ファイルをフォームデータとして送信
* 出力形式 - モデル固有のレスポンス形式をサポート

## 簡単な使用例

<Tabs>
  <Tab title="cURL">
    ```bash theme={null}
    curl "https://api.mixroute.ai/v1/audio/transcriptions" \
      -H "Authorization: Bearer YOUR_API_KEY" \
      -F "file=@speech.wav" \
      -F "model=gpt-4o-mini-transcribe"
    ```
  </Tab>

  <Tab title="Python">
    ```python theme={null}
    from openai import OpenAI

    client = OpenAI(api_key="YOUR_API_KEY", base_url="https://api.mixroute.ai/v1")

    with open("speech.wav", "rb") as audio_file:
        transcript = client.audio.transcriptions.create(
            model="gpt-4o-mini-transcribe",
            file=audio_file,
        )

    print(transcript.text)
    ```
  </Tab>
</Tabs>

## パラメータ

| パラメーター | 型 | 必須 | 説明 |
| - | - | - | - |
| `file` | file | はい | multipartフォームデータとしてアップロードする音声ファイル。 |
| `model` | string | はい | `gpt-4o-mini-transcribe`である必要があります。 |
| `language` | string | いいえ | 対応している場合の入力言語コード。 |
| `prompt` | string | いいえ | 文字起こしの指針となる任意のテキスト。 |
| `response_format` | string | いいえ | 文字起こしのレスポンス形式。 |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.